Bug 1467049 - Review Request: nuvola-app-deezer - Deezer for Nuvola Player 3
Review Request: nuvola-app-deezer - Deezer for Nuvola Player 3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vít Ondruch
Fedora Extras Quality Assurance
https://github.com/tiliado/nuvola-app...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-02 05:34 EDT by mgansser@alice.de
Modified: 2017-08-16 07:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-16 07:34:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
vondruch: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description mgansser@alice.de 2017-07-02 05:34:16 EDT
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/nuvola-app-deezer.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/nuvola-app-deezer-2.6-1.fc25.src.rpm

Description: Integration of Deezer into your linux desktop via Nuvola Player.
Fedora Account System Username: martinkg

rpmlint -i -v nuvola-app-deezer.spec /home/martin/rpmbuild/SRPMS/nuvola-app-deezer-2.6-1.fc25.src.rpm /home/martin/rpmbuild/RPMS/noarch/nuvola-app-deezer-2.6-1.fc25.noarch.rpm
nuvola-app-deezer.spec: I: checking
nuvola-app-deezer.spec:29: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

nuvola-app-deezer.spec: I: checking-url https://github.com/tiliado/nuvola-app-deezer/archive/2.6.tar.gz#/nuvola-app-deezer-2.6.tar.gz (timeout 10 seconds)
nuvola-app-deezer.src: I: checking
nuvola-app-deezer.src: W: spelling-error %description -l en_US linux -> Linux
The value of this tag appears to be misspelled. Please double-check.

nuvola-app-deezer.src: I: checking-url https://github.com/tiliado/nuvola-app-deezer (timeout 10 seconds)
nuvola-app-deezer.src:29: W: configure-without-libdir-spec
A configure script is run without specifying the libdir. configure options
must be augmented with something like --libdir=%{_libdir} whenever the script
supports it.

nuvola-app-deezer.src: I: checking-url https://github.com/tiliado/nuvola-app-deezer/archive/2.6.tar.gz#/nuvola-app-deezer-2.6.tar.gz (timeout 10 seconds)
nuvola-app-deezer.noarch: I: checking
nuvola-app-deezer.noarch: W: spelling-error %description -l en_US linux -> Linux
The value of this tag appears to be misspelled. Please double-check.

nuvola-app-deezer.noarch: I: checking-url https://github.com/tiliado/nuvola-app-deezer (timeout 10 seconds)
nuvola-app-deezer.noarch: W: desktopfile-without-binary /usr/share/applications/eu.tiliado.NuvolaAppDeezer.desktop nuvola
the .desktop file is for a file not present in the package. You should check
the requires or see if this is not a error

2 packages and 1 specfiles checked; 0 errors, 5 warnings.

%changelog
* Sun Jul 02 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.6-1
- Update to 2.6-1

* Sat Jan 21 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.5-1
- initial build
Comment 1 mgansser@alice.de 2017-07-27 11:27:03 EDT
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/nuvola-app-deezer.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/nuvola-app-deezer-2.6-2.fc26.src.rpm

%changelog
* Thu Jul 27 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.6-2
- correct the extends/name-tag in %%{name}.metainfo.xml
Comment 2 mgansser@alice.de 2017-08-03 05:32:18 EDT
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/nuvola-app-deezer.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/nuvola-app-deezer-2.7-1.fc26.src.rpm

%changelog
* Thu Aug 03 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.7-1
- Update to 2.7
Comment 3 Vít Ondruch 2017-08-04 07:36:10 EDT
I'm taking this for a review.
Comment 4 Vít Ondruch 2017-08-04 07:55:16 EDT
* Typo in .metainfo.xml
  - s/Intergration/Integration/
  - But it would be probably better to drop the suffix entirely, since I don't
    see any purpose in it.

Otherwise, the package looks good => APPROVE
Comment 5 mgansser@alice.de 2017-08-04 12:29:31 EDT
Thanks for the review.

%changelog
* Fri Aug 04 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.7-2
- correct %%{name}.metainfo.xml
Comment 6 Ralph Bean 2017-08-10 12:54:36 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nuvola-app-deezer
Comment 7 Ralph Bean 2017-08-10 12:54:48 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/nuvola-app-deezer
Comment 8 mgansser@alice.de 2017-08-16 07:34:52 EDT
package has been built successfully on f25, f26 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.